//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for Pravo_prvenstva_ranije_prijave complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Pravo_prvenstva_ranije_prijave">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Datum_podnosenja_ranije_prijave" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *         &lt;element name="ID_ranije_prijave" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Dvoslovna_oznaka">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;length value="2"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Pravo_prvenstva_ranije_prijave", propOrder = {
    "datumPodnosenjaRanijePrijave",
    "idRanijePrijave",
    "dvoslovnaOznaka"
})
public class PravoPrvenstvaRanijePrijave {

    @XmlElement(name = "Datum_podnosenja_ranije_prijave", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datumPodnosenjaRanijePrijave;
    @XmlElement(name = "ID_ranije_prijave", required = true)
    protected String idRanijePrijave;
    @XmlElement(name = "Dvoslovna_oznaka", required = true)
    protected String dvoslovnaOznaka;

    /**
     * Gets the value of the datumPodnosenjaRanijePrijave property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatumPodnosenjaRanijePrijave() {
        return datumPodnosenjaRanijePrijave;
    }

    /**
     * Sets the value of the datumPodnosenjaRanijePrijave property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatumPodnosenjaRanijePrijave(XMLGregorianCalendar value) {
        this.datumPodnosenjaRanijePrijave = value;
    }

    /**
     * Gets the value of the idRanijePrijave property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIDRanijePrijave() {
        return idRanijePrijave;
    }

    /**
     * Sets the value of the idRanijePrijave property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIDRanijePrijave(String value) {
        this.idRanijePrijave = value;
    }

    /**
     * Gets the value of the dvoslovnaOznaka property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDvoslovnaOznaka() {
        return dvoslovnaOznaka;
    }

    /**
     * Sets the value of the dvoslovnaOznaka property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDvoslovnaOznaka(String value) {
        this.dvoslovnaOznaka = value;
    }

}
